import * as React from 'react'
import { styled } from '@mui/material/styles'
import Table from '@mui/material/Table'
import TableBody from '@mui/material/TableBody'
import TableCell, { tableCellClasses } from '@mui/material/TableCell'
import TableContainer from '@mui/material/TableContainer'
import TableHead from '@mui/material/TableHead'
import TableRow from '@mui/material/TableRow'
import Paper from '@mui/material/Paper'

const StyledTableCell = styled(TableCell)(({ theme }) => ({
  [`&.${tableCellClasses.head}`]: {
    backgroundColor: theme.palette.common.black,
    color: theme.palette.common.white
  },
  [`&.${tableCellClasses.body}`]: {
    fontSize: 16,
    backgroundColor: theme.palette.common.white

  }
}))

const StyledTableRow = styled(TableRow)(({ theme }) => ({
  '&:nth-of-type(odd)': {
    backgroundColor: theme.palette.action.hover
  },
  // hide last border
  '&:last-child td, &:last-child th': {
    border: 0
  }
}))

const info = 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua.'

function createData (
  category: string,
  classification: string,
  logo: string

) {
  return { category, classification, logo }
}

const rows = [
  createData('Desription:', info, 'xx'),
  createData('Type:', 'CETTS', 'xx'),
  createData('Repository:', 'LinkAhead', 'xx'),
  createData('Dataspace:', 'RWTH', 'xx'),
  createData('Technology:', 'EDC', 'xx')

]

export default function CustomizedTables () {
  return (
    <TableContainer component={Paper}>
      <Table aria-label="FDP Details">
        <TableHead>
         {/* <TableRow>
            <StyledTableCell>Info1 </StyledTableCell>
            <StyledTableCell align="right">Info2</StyledTableCell>
            <StyledTableCell align="right">Info3</StyledTableCell>
          </TableRow> */}
        </TableHead>
        <TableBody>
          {rows.map((row) => (
            <StyledTableRow key={row.category}>
              <StyledTableCell component="th" scope="row">
                {row.category}
              </StyledTableCell>
              <StyledTableCell align="left">{row.classification}</StyledTableCell>
              <StyledTableCell align="left">{row.logo}</StyledTableCell>
            </StyledTableRow>
          ))}
        </TableBody>
      </Table>
    </TableContainer>
  )
}
